Skip to content

product.info

GET
/product_get

Bolt uses this endpoint to fetch product details, availability, and variant information from a merchant to display in Checkout Everywhere. You can pass either the productID or the sku; if both are present, Bolt defaults to productID.

Authorization

ApiKeyAuth X-API-Key
X-API-Key<token>

Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.

In: header

Scope: X-API-Key

Header Parameters

X-Bolt-Hmac-Sha256?string

Bolt sends a signed HMAC for hook verification

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X GET "https://example.com/product_get" \  -H "Content-Type: application/json" \  -d '{}'
{  "event": "product.info",  "status": "success",  "data": {    "Current": {      "BoltID": "e2bb0e7e-5625-536f-8ad7-25a26537ee28",      "Brand": "Bolt Swagstore",      "Name": "Pullover Hoodie-XS-Purple",      "Description": "Very beautiful and chic.",      "Multimedia": {        "ImageURLs": [          "https//boltswagstore.com/image.png"        ],        "VideoURLs": [          "https//boltswagstore.com/jurassic-park.mov"        ],        "AudioSamples": [          "https//boltswagstore.com/myjam.mp3"        ]      },      "Identifiers": {        "SKU": "SKU-11021",        "GTIN": "AB3rJKam5DhYE",        "MerchantDivisionID": "4ab56ad7865ada4ad32",        "MerchantProductID": "881"      },      "Prices": [        {          "UnitPriceInCents": 754,          "Currency": "USD"        }      ],      "IsVariantOf": "mens-shoe-86.",      "Availability": "in_stock",      "AvailabilityCount": "19",      "Properties": [        {          "NameID": 158,          "Name": "size",          "ValueID": 166,          "Value": "XS",          "Metadata": {            "TextLabel": "pattern",            "ImageURL": "https//boltswagstore.com/image.png",            "Position": 1          }        }      ],      "ItemType": "physical",      "Taxable": true    },    "Variants": [      {        "BoltID": "e2bb0e7e-5625-536f-8ad7-25a26537ee28",        "Brand": "Bolt Swagstore",        "Name": "Pullover Hoodie-XS-Purple",        "Description": "Very beautiful and chic.",        "Multimedia": {          "ImageURLs": [            "https//boltswagstore.com/image.png"          ],          "VideoURLs": [            "https//boltswagstore.com/jurassic-park.mov"          ],          "AudioSamples": [            "https//boltswagstore.com/myjam.mp3"          ]        },        "Identifiers": {          "SKU": "SKU-11021",          "GTIN": "AB3rJKam5DhYE",          "MerchantDivisionID": "4ab56ad7865ada4ad32",          "MerchantProductID": "881"        },        "Prices": [          {            "UnitPriceInCents": 754,            "Currency": "USD"          }        ],        "IsVariantOf": "mens-shoe-86.",        "Availability": "in_stock",        "AvailabilityCount": "19",        "Properties": [          {            "NameID": 158,            "Name": "size",            "ValueID": 166,            "Value": "XS",            "Metadata": {              "TextLabel": "pattern",              "ImageURL": "https//boltswagstore.com/image.png",              "Position": 1            }          }        ],        "ItemType": "physical",        "Taxable": true      }    ],    "Parent": {      "BoltID": "e2bb0e7e-5625-536f-8ad7-25a26537ee28",      "Brand": "Bolt Swagstore",      "Name": "Pullover Hoodie-XS-Purple",      "Description": "Very beautiful and chic.",      "Multimedia": {        "ImageURLs": [          "https//boltswagstore.com/image.png"        ],        "VideoURLs": [          "https//boltswagstore.com/jurassic-park.mov"        ],        "AudioSamples": [          "https//boltswagstore.com/myjam.mp3"        ]      },      "Identifiers": {        "SKU": "SKU-11021",        "GTIN": "AB3rJKam5DhYE",        "MerchantDivisionID": "4ab56ad7865ada4ad32",        "MerchantProductID": "881"      },      "Prices": [        {          "UnitPriceInCents": 754,          "Currency": "USD"        }      ],      "IsVariantOf": "mens-shoe-86.",      "Availability": "in_stock",      "AvailabilityCount": "19",      "Properties": [        {          "NameID": 158,          "Name": "size",          "ValueID": 166,          "Value": "XS",          "Metadata": {            "TextLabel": "pattern",            "ImageURL": "https//boltswagstore.com/image.png",            "Position": 1          }        }      ],      "ItemType": "physical",      "Taxable": true    }  }}